Update Notification Settings

View as MarkdownOpen in Claude
Update notification settings for an account.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

Request

This endpoint expects an object.
invoiceobject or nullOptional
Invoice notification settings
dunningobject or nullOptional
Dunning notification settings
slack_enabledboolean or nullOptional
Whether Slack notifications are enabled
slack_webhook_urlslist of strings or nullOptional
List of Slack webhook URLs for notifications
slack_payment_succeededboolean or nullOptional
Send Slack notification on payment succeeded
slack_payment_failedboolean or nullOptional
Send Slack notification on payment failed
email_enabledboolean or nullOptional
Whether email notifications are enabled
emails_to_notifylist of strings or nullOptional
List of email addresses for notifications
email_payment_succeededboolean or nullOptional
Send email notification on payment succeeded
email_payment_failedboolean or nullOptional
Send email notification on payment failed
email_configobject or nullOptional
Email configuration settings for sender, signature, and colors

Response

Successful Response
invoiceobject or null
Invoice notification settings
dunningobject or null
Dunning notification settings
slack_enabledboolean or nullDefaults to false
Whether Slack notifications are enabled
slack_webhook_urlslist of strings or null
List of Slack webhook URLs for notifications
slack_payment_succeededboolean or null
Send Slack notification on payment succeeded
slack_payment_failedboolean or null
Send Slack notification on payment failed
email_enabledboolean or nullDefaults to false
Whether email notifications are enabled
emails_to_notifylist of strings or null
List of email addresses for notifications
email_payment_succeededboolean or null
Send email notification on payment succeeded
email_payment_failedboolean or null
Send email notification on payment failed
email_configobject or null
Email configuration settings for sender, signature, and colors

Errors